VERSION 5.00
Begin VB.Form frmLuogoRadici 
   BorderStyle     =   1  'Fixed Single
   Caption         =   " Luogo delle Radici"
   ClientHeight    =   5460
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5115
   Icon            =   "frmLuogoRadici.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MDIChild        =   -1  'True
   ScaleHeight     =   5460
   ScaleWidth      =   5115
   Begin VB.PictureBox picLuogoRadici 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00FFFFFF&
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   4755
      Left            =   180
      MousePointer    =   2  'Cross
      ScaleHeight     =   4695
      ScaleWidth      =   4695
      TabIndex        =   0
      Top             =   480
      Width           =   4755
   End
   Begin VB.Label lblAutore 
      BackStyle       =   0  'Transparent
      Caption         =   "F. Languasco fecit - 2001"
      BeginProperty Font 
         Name            =   "Small Fonts"
         Size            =   6
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   135
      Left            =   180
      TabIndex        =   10
      Top             =   5280
      Width           =   2295
   End
   Begin VB.Label zLabel05 
      BackStyle       =   0  'Transparent
      Caption         =   "[rad]"
      Height          =   255
      Left            =   4620
      TabIndex        =   9
      Top             =   210
      Width           =   435
   End
   Begin VB.Label lblArg 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   3900
      TabIndex        =   8
      Top             =   180
      Width           =   675
   End
   Begin VB.Label zLabel04 
      BackStyle       =   0  'Transparent
      Caption         =   "Arg:"
      Height          =   255
      Left            =   3540
      TabIndex        =   7
      Top             =   210
      Width           =   315
   End
   Begin VB.Label lblMod 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   2760
      TabIndex        =   6
      Top             =   180
      Width           =   675
   End
   Begin VB.Label zLabel03 
      BackStyle       =   0  'Transparent
      Caption         =   "Mod:"
      Height          =   255
      Left            =   2340
      TabIndex        =   5
      Top             =   210
      Width           =   435
   End
   Begin VB.Label lblIm 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   1560
      TabIndex        =   4
      Top             =   180
      Width           =   675
   End
   Begin VB.Label zLabel02 
      BackStyle       =   0  'Transparent
      Caption         =   "Im:"
      Height          =   255
      Left            =   1260
      TabIndex        =   3
      Top             =   210
      Width           =   255
   End
   Begin VB.Label lblRe 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   480
      TabIndex        =   2
      Top             =   180
      Width           =   675
   End
   Begin VB.Label zLabel01 
      BackStyle       =   0  'Transparent
      Caption         =   "Re:"
      Height          =   255
      Left            =   180
      TabIndex        =   1
      Top             =   210
      Width           =   315
   End
End
Attribute VB_Name = "frmLuogoRadici"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'==================================================================
' Descrizione.....: Form per la valutazione visiva della posizione
'                   di zeri e poli della funzione di trasferimento.
' Nome dei Files..: frmLuogoRadici.frm, frmLuogoRadici.frx
' Data............: 19/05/2001
' Versione........: 1.0 a 32 bits.
' Sistema.........: Visual Basic 6.0 sotto Windows NT 4.0
' Scritto da......: F. Languasco 
' E-Mail..........: MC7061@mclink.it
' DownLoads a.....: http://www.flanguasco.org
'                   http://members.xoom.it/flanguasco/
'==================================================================
'
Option Explicit
'
Dim LS_4Px!         ' Larghezza di 2 [Pixel] sul quadro.
Dim AS_4Px!         ' Altezza di 2 [Pixel] sul quadro.
'
Const Me_W = 5205   ' Larghezza ed
Const Me_H = 5835   ' altezza di questo Form [Twips].

Public Sub Apri(ByVal C&, ZRe#(), ZIm#(), PRe#(), PIm#())
'
'
    Dim NCel&, NK&      ' N della sezione e relativo ordine.
'
    NCel = C
    NK = UBound(ZRe)
'
    QuadroLR NK, NCel, ZRe(), ZIm(), PRe(), PIm()
    DisegnaRadici NK, ZRe(), ZIm(), PRe(), PIm()
'
'
'
End Sub

Private Sub Form_Load()
'
'
    Dim Me_L&, Me_T&
'
    LeggiPosizioneForm Me, Me_L, Me_T
    Me.Move Me_L, Me_T, Me_W, Me_H
'
'
'
End Sub
Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
'
'
    lblRe = ""
    lblIm = ""
    lblMod = ""
    lblArg = ""
'
'
'
End Sub

Private Sub Form_Unload(Cancel As Integer)
'
'
    SalvaPosizioneForm Me
'
'
'
End Sub



Private Sub QuadroLR(ByVal NK&, ByVal NCel&, ZRe#(), ZIm#(), PRe#(), PIm#())
'
'
    Dim K&, M$, DMax!
'
    picLuogoRadici.Cls
'
    DMax = 1.5
    For K = 1 To NK
        DMax = DMAX1(DMax, DMAX1(Abs(ZRe(K)), Abs(ZIm(K)), Abs(PRe(K)), Abs(PIm(K))))
    Next K
'
    Quadro picLuogoRadici, -DMax, DMax, -DMax, DMax, , , 4, LS_4Px, AS_4Px, _
           "Sezione N." & Str$(NCel) & " di Ordine " & NK, "Re", "Im", True
'
    picLuogoRadici.Circle (0!, 0!), 1!, vbBlack, , , LS_4Px / AS_4Px
'
'
'
End Sub
Private Sub DisegnaRadici(ByVal NK&, ZRe#(), ZIm#(), PRe#(), PIm#())
'
'
    Dim K&
'
    For K = 1 To NK
        ' Disegno gli zeri:
        picLuogoRadici.Circle (ZRe(K), ZIm(K)), LS_4Px, vbBlue
'
        ' Disegno i poli:
        picLuogoRadici.Line (PRe(K) - LS_4Px, PIm(K) - LS_4Px) _
                           -(PRe(K) + LS_4Px, PIm(K) + LS_4Px), vbRed
        picLuogoRadici.Line (PRe(K) + LS_4Px, PIm(K) - LS_4Px) _
                           -(PRe(K) - LS_4Px, PIm(K) + LS_4Px), vbRed
    Next K
'
'
'
End Sub

Private Sub picLuogoRadici_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
'
'
    lblRe = Format$(X, "#0.0###")
    lblIm = Format$(Y, "#0.0###")
    lblMod = Format$(Sqr(X * X + Y * Y), "#0.0###")
    lblArg = Format$(DATAN2(Y, X), "#0.0###")
'
'
'
End Sub


