VERSION 5.00
Begin VB.Form frmRidimensionamento 
   BorderStyle     =   1  'Fixed Single
   Caption         =   " Ridimensionamento del Segnale"
   ClientHeight    =   2010
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3465
   Icon            =   "frmRidimensionamento.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2010
   ScaleWidth      =   3465
   StartUpPosition =   3  'Windows Default
   Begin VB.ComboBox cmbNsNuovo 
      Height          =   315
      Left            =   1800
      TabIndex        =   4
      Top             =   480
      Width           =   1395
   End
   Begin VB.CommandButton cmdChiudi 
      Caption         =   "Chiudi"
      Height          =   315
      Left            =   1800
      TabIndex        =   1
      Top             =   1320
      Width           =   1395
   End
   Begin VB.CommandButton cmdRidimensiona 
      Caption         =   "Ridimensiona"
      Default         =   -1  'True
      Height          =   315
      Left            =   240
      TabIndex        =   0
      Top             =   1320
      Width           =   1215
   End
   Begin VB.Label lblDifferenza 
      BackStyle       =   0  'Transparent
      Height          =   255
      Left            =   240
      TabIndex        =   6
      Top             =   900
      Width           =   2955
   End
   Begin VB.Label zLabel02 
      BackStyle       =   0  'Transparent
      Caption         =   "Ns nuovo:"
      Height          =   255
      Left            =   1800
      TabIndex        =   5
      Top             =   240
      Width           =   975
   End
   Begin VB.Label lblNsOriginali 
      BorderStyle     =   1  'Fixed Single
      Height          =   315
      Left            =   240
      TabIndex        =   3
      Top             =   480
      Width           =   1215
   End
   Begin VB.Label zLabel03 
      BackStyle       =   0  'Transparent
      Caption         =   "Ns originale:"
      Height          =   255
      Left            =   240
      TabIndex        =   2
      Top             =   240
      Width           =   1155
   End
End
Attribute VB_Name = "frmRidimensionamento"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'=====================================================================
' Descrizione.....: Form per il ridimensionamento dei segnali.
'                   Serve a consentire una risoluzione in frequenza
'                   arbitraria durante il calcolo della trasformata
'                   di Fourier (tecnica dello "Zero Padding").
' Nome dei Files..: frmRidimensionamento.frm, frmRidimensionamento.frx
' Data............: 29/04/2001
' Versione........: 1.0 a 32 bits.
' Sistema.........: Visual Basic 6.0 sotto Windows NT 4.0
' Scritto da......: F. Languasco 
' E-Mail..........: MC7061@mclink.it
' DownLoads a.....: http://www.flanguasco.org
'                   http://members.xoom.it/flanguasco/
'=====================================================================
'
Option Explicit
'
Dim ST#()   ' Vettore temporaneo del Segnale.
'
Dim LSig_O& ' N di campioni nel Segnale originale.
Dim LSig_R& ' N di campioni nel Segnale ridimensionato.
'
Dim RidimensionamentoOK As Boolean

Private Sub cmbNsNuovo_Change()
'
'
    LSig_R = Val(cmbNsNuovo.Text)
'
    If LSig_R > LSig_O Then
        lblDifferenza = (LSig_R - LSig_O) & " zeri da aggiungere in coda."
    ElseIf LSig_R < LSig_O Then
        lblDifferenza = (LSig_O - LSig_R) & " campioni da eliminare."
    Else
        lblDifferenza = ""
    End If
'
'
'
End Sub

Private Sub cmbNsNuovo_Click()
'
'
    cmbNsNuovo_Change
'
'
'
End Sub


Private Sub cmbNsNuovo_KeyPress(KeyAscii As Integer)
'
'
    KeyAscii = KAscNumInteri(KeyAscii)
'
'
'
End Sub


Private Sub cmdChiudi_Click()
'
'
    Unload Me
'
'
'
End Sub

Private Sub cmdRidimensiona_Click()
'
'
    If VerificaValori Then
        ReDim Preserve ST(0 To LSig_R - 1)
'
        RidimensionamentoOK = True
        Unload Me
    End If
'
'
'
End Sub

Private Sub Form_Load()
'
'
    Dim I&, Me_L&, Me_T&
'
    LeggiPosizioneForm Me, Me_L, Me_T
    Me.Move Me_L, Me_T
'
    For I = 2 To 16
        cmbNsNuovo.AddItem 2 ^ I
    Next I
'
'
'
End Sub

Private Sub Form_Unload(Cancel As Integer)
'
'
    SalvaPosizioneForm Me
'
'
'
End Sub


Public Function Apri(S#()) As Boolean
'
'
    ST() = S()
    LSig_O = UBound(S) + 1
'
    lblNsOriginali = LSig_O
    cmbNsNuovo.Text = LSig_O
'
    RidimensionamentoOK = False
    Me.Show vbModal
'
    Apri = RidimensionamentoOK
    If RidimensionamentoOK Then
        S() = ST()
    End If
'
    Set frmRidimensionamento = Nothing
'
'
'
End Function

Private Function VerificaValori() As Boolean
'
'   Verifica che i parametri forniti siano compatibili
'   con le funzioni richieste:
'
    Dim M$, fMB%
'
    On Error Resume Next
'
    ' N di campioni da ridimensionare:
    If LSig_R = 0 Then
        M$ = "Ns nuovo errato." & vbNewLine & vbNewLine
        M$ = M$ & "Deve essere:" & vbNewLine
        M$ = M$ & "0 < Ns nuovo" & vbNewLine & vbNewLine
    ElseIf LSig_R < LSig_O Then
        M$ = "Ns nuovo < Ns originale" & vbNewLine & vbNewLine
        M$ = M$ & "Alcuni campioni verranno eliminati." & vbNewLine
        M$ = M$ & "Continuo con il ridimensionamento?" & vbNewLine
        fMB = MsgBox(M$, vbQuestion + vbYesNo, "Avvertimento")
        If fMB = vbYes Then
            VerificaValori = True
        Else
            VerificaValori = False
        End If
        Exit Function
    End If
'
'
    If M$ <> "" Then MsgBox M$, vbCritical, " Errore nei parametri"
    VerificaValori = (M$ = "")
'
'
'
End Function



