VERSION 5.00
Begin VB.Form frmValoreEfficaceM 
   BorderStyle     =   1  'Fixed Single
   Caption         =   " Valore Eff. Mobile del Segnale"
   ClientHeight    =   1620
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3465
   Icon            =   "frmValoreEfficaceM.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1620
   ScaleWidth      =   3465
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtNsVEM 
      Height          =   315
      Left            =   1800
      TabIndex        =   1
      Top             =   480
      Width           =   1395
   End
   Begin VB.CommandButton cmdChiudi 
      Caption         =   "&Chiudi"
      Height          =   315
      Left            =   1800
      TabIndex        =   3
      Top             =   1020
      Width           =   1395
   End
   Begin VB.CommandButton cmdCalcola 
      Caption         =   "C&alcola"
      Default         =   -1  'True
      Height          =   315
      Left            =   240
      TabIndex        =   2
      Top             =   1020
      Width           =   1215
   End
   Begin VB.Label zLabel02 
      BackStyle       =   0  'Transparent
      Caption         =   "&Ns per Val. Eff. Mobile:"
      Height          =   255
      Left            =   1800
      TabIndex        =   0
      Top             =   240
      Width           =   1635
   End
   Begin VB.Label lblNsOriginali 
      BorderStyle     =   1  'Fixed Single
      Height          =   315
      Left            =   240
      TabIndex        =   5
      Top             =   480
      Width           =   1215
   End
   Begin VB.Label zLabel03 
      BackStyle       =   0  'Transparent
      Caption         =   "Ns originale:"
      Height          =   255
      Left            =   240
      TabIndex        =   4
      Top             =   240
      Width           =   1155
   End
End
Attribute VB_Name = "frmValoreEfficaceM"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'======================================================================
' Descrizione.....: Form per il calcolo del valore efficace mobile
'                   del segnale.
' Nome dei Files..: frmValoreEfficaceM.frm, frmValoreEfficaceM.frx
'                   modSigPro.bas
' Data............: 16/04/2004
' Versione........: 1.0 a 32 bits.
' Sistema.........: Visual Basic 6.0 sotto Windows NT 4.0
' Scritto da......: F. Languasco 
' E-Mail..........: MC7061@mclink.it
' DownLoads a.....: http://www.flanguasco.org
'                   http://members.xoom.it/flanguasco/
'======================================================================
'
Option Explicit
'
Dim ST#()   ' Vettore temporaneo del Segnale.
'
Dim LSig_O& ' N di campioni nel Segnale originale.
Dim NsVEM&  ' N di campioni per il Valor Efficace Mobile.
'
Dim ValorEfficaceOK As Boolean
Private Sub cmdCalcola_Click()
'
'
    If VerificaValori Then
        NsVEM = Val(txtNsVEM)
'
        ST() = ValorEfficaceM(ST(), NsVEM)
'
        ValorEfficaceOK = True
        Unload Me
    End If
'
'
'
End Sub
Private Sub txtNsVEM_KeyPress(KeyAscii As Integer)
'
'
    KeyAscii = KAscNumInteri(KeyAscii)
'
'
'
End Sub
Private Sub cmdChiudi_Click()
'
'
    ValorEfficaceOK = False
    Unload Me
'
'
'
End Sub
Private Sub Form_Load()
'
'
    Dim I&, Me_L&, Me_T&
'
    LeggiPosizioneForm Me, Me_L, Me_T
    Me.Move Me_L, Me_T
'
'
'
End Sub
Private Sub Form_Unload(Cancel As Integer)
'
'
    If ValorEfficaceOK Then
        SaveSetting App.ProductName, "Impostazioni", "NsValoreEfficaceMobile", NsVEM
    End If
'
    SalvaPosizioneForm Me
'
'
'
End Sub
Public Function Apri(S#(), VEM#()) As Boolean
'
'
    ST() = S()
    LSig_O = UBound(S) + 1
'
    lblNsOriginali = LSig_O
    txtNsVEM = Val(GetSetting(App.ProductName, "Impostazioni", "NsValoreEfficaceMobile", 10))
    txtNsVEM = MIN0(Val(txtNsVEM), LSig_O)
'
    ValorEfficaceOK = False
    Me.Show vbModal
'
    Apri = ValorEfficaceOK
    If ValorEfficaceOK Then
        VEM() = ST()
    End If
'
    Set frmValoreEfficaceM = Nothing
'
'
'
End Function
Private Function VerificaValori() As Boolean
'
'   Verifica che i parametri forniti siano compatibili
'   con le funzioni richieste:
'
    Dim M$
'
    On Error Resume Next
'
    ' N di campioni per Valor Efficace Mobile:
    If CLng(txtNsVEM) <= 0 Or LSig_O < CLng(txtNsVEM) Then
        M$ = "Ns per Valor Efficace Mobile errato." & vbNewLine & vbNewLine
        M$ = M$ & "Deve essere:" & vbNewLine
        M$ = M$ & "0 < Ns " & " <= " & LSig_O
    End If
'
'
    If M$ <> "" Then MsgBox M$, vbCritical, " Errore nei parametri"
    VerificaValori = (M$ = "")
'
'
'
End Function
