Attribute VB_Name = "modFiltCalc"
'=====================================================================
' Descrizione.....: Programma per la sintesi di filtri
'                   digitali di tipo FIR ed IIR e per
'                   l' analisi armonica dei segnali.
' Nome dei Files..: frmFiltCalc.frm, frmFiltCalc.frx, modFiltCalc.bas
'                   frmSigPro.frm, frmSigPro.frx, modSigPro.bas
'                   frmFilesWav.frm, frmFilesWav.frx
'                   frmFIR.frm, frmFIR.frx, modFIR.bas
'                   frmIIR.frm, frmIIR.frx, modIIR.bas
'                   frmLuogoRadici.frm, frmLuogoRadici.frx
'                   frmSigGen.frm, frmSigGen.frx
'                   frmCorrelazione.frm, frmCorrelazione.frx
'                   frmRicampionamento.frm, frmRicampionamento.frx
'                   frmRidimensionamento.frm, frmRidimensionamento.frx
'                   frmMediaMobile.frm, frmMediaMobile.frx
'                   frmSpettroMobile.frm, frmSpettroMobile.frx
'                   frmValoreEfficaceM.frm, frmValoreEfficaceM.frx
'                   frmPeriodo.frm, frmPeriodo.frx
'                   frmWindows.frm, frmWindows.frx
'                   frmIstr.frm, frmIstr.frx, InfoCr.frm, InfoCr.frx
'                   frmMesg.frm, frmMesg.frx
'                   frmCalc.frm, frmCalc.frx
'                   frmSimplexOp.frm, frmSimplexOp.frx, modSimplex.bas
'                   frmStampaFCPB.frm, frmStampaFCPB.frx
'                   modUtilita.bas, modRPOLY.bas, modComplex.bas
' Data............: 13/06/1999
' Aggiornamento...: 23/12/1999
' Aggiornamento...: 01/05/2001
' Aggiornamento...: 03/04/2004
' Versione........: 1.2.2 a 32 bits.
' Sistema.........: Visual Basic 6.0 sotto Windows NT 4.0
' Scritto da......: F. Languasco 
' E-Mail..........: MC7061@mclink.it
' DownLoads a.....: http://www.flanguasco.org
'                   http://members.xoom.it/flanguasco/
'=====================================================================
'
'   Nota:   questo progetto e' stato sviluppato usando il "." come
'           separatore decimale; nonostante abbia cercato di prevenire
'           possibili problemi dovuti all' uso della "," non posso
'           escludere che sia rimasta qualche incongruenza.
'           In caso di malfunzionamenti dovuti a questo problema,
'           provate a cambiare sul vostro PC le impostazioni interna-
'           zionali e datemi notizia dei "bugs" trovati.
'
'   Nota:   tutti i vettori e le matrici di questo progetto iniziano
'           con l' indice 0 (salvo esplicita, diversa indicazione).
'
'   Nota:   tutti i segnali di prova:   "White_N.dat", "Impulso.dat",
'                                       "FilTest1.dat", "FilTest2.dat",
'                                       "FilTest4.dat", "FilTest8.dat",
'                                       "Quadra05.dat", "Quadra25.dat"
'           devono essere in un Folder App.Path/Segnali/*.* (per la loro
'           definizione vedere la sezione Declarations di frmSigPro).
'
Option Explicit
'
' Variabili e costanti comuni a tutto il progetto:
'
Public TS#      ' Periodo di Campionamento [s].
Public FS#      ' Frequenza di Campionamento [Hz].
'
Public FI#      ' Passo Minimo di Frequenza [Hz].
'
Public Sig#()   ' Vettore del Segnale originale.
Public Fil#()   ' Vettore del Segnale filtrato.
'
Public DirNome$ ' Folder corrente dei Files di segnale
                ' e dei Coefficienti dei Filtri.
'
Public Const PI# = 3.14159265358979     ' 4# * Atn(1#)
Public Const PI2# = 2# * PI
Public Const Log2# = 0.693147180559945  ' Log(2#)
Public Const Log10# = 2.30258509299405  ' Log(10#)
Public Const Sqr2# = 1.4142135623731    ' Sqr(2#)

Sub Main()
'
'
    Dim SW&, SH&, M$
'
'   Impostazioni iniziali delle Variabili Globali:
    TS = 1#
'
    ' I Files di dati sono nel Folder del programma \Segnali:
    DirNome$ = App.Path & "\Segnali"
'
    frmFiltCalc.Show    ' Carica il Form di Lavoro.
    frmSigPro.Show      ' Carica il Form dei Segnali.
'
    SW = Screen.Width / Screen.TwipsPerPixelX
    SH = Screen.Height / Screen.TwipsPerPixelY
    If (SW < 800) Or (SH < 600) Then
        M$ = "La risoluzione di questo schermo e' di "
        M$ = M$ & SW & " x " & SH & " [Pixel]." & vbNewLine & vbNewLine
        M$ = M$ & "Per un utilizzo migliore di questo programma," & vbNewLine
        M$ = M$ & "si consiglia di usare almeno 800 x 600 [Pixel]."
        MsgBox M$, vbInformation, " Avvertenza"
    End If
'
'
'
End Sub

