VERSION 5.00
Begin VB.Form frmPeriodo 
   BorderStyle     =   1  'Fixed Single
   Caption         =   " Periodo - DutyCycle"
   ClientHeight    =   3165
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4545
   Icon            =   "frmPeriodo.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3165
   ScaleWidth      =   4545
   Begin VB.Frame zFrame2 
      Caption         =   "Calcolo:"
      Height          =   1395
      Left            =   180
      TabIndex        =   13
      Top             =   1560
      Width           =   2655
      Begin VB.TextBox txtVSoglia 
         Height          =   285
         Left            =   180
         TabIndex        =   1
         Top             =   360
         Width           =   1095
      End
      Begin VB.OptionButton optDutyCycle 
         Caption         =   "&Duty Cycle"
         Height          =   315
         Left            =   1380
         TabIndex        =   3
         Top             =   900
         Width           =   1095
      End
      Begin VB.OptionButton optPeriodo 
         Caption         =   "&Periodo"
         Height          =   315
         Left            =   180
         TabIndex        =   2
         Top             =   900
         Value           =   -1  'True
         Width           =   855
      End
      Begin VB.Label zLabel02 
         BackStyle       =   0  'Transparent
         Caption         =   "V. &Soglia"
         Height          =   255
         Left            =   1440
         TabIndex        =   0
         Top             =   420
         Width           =   975
      End
   End
   Begin VB.Frame zFrame1 
      Caption         =   "Parametri del Segnale:"
      Height          =   1095
      Left            =   180
      TabIndex        =   6
      Top             =   240
      Width           =   4155
      Begin VB.Label zLabel05 
         BackStyle       =   0  'Transparent
         Caption         =   "V. Max."
         Height          =   255
         Left            =   2880
         TabIndex        =   12
         Top             =   360
         Width           =   855
      End
      Begin VB.Label lblVMax 
         BorderStyle     =   1  'Fixed Single
         Height          =   285
         Left            =   2880
         TabIndex        =   11
         Top             =   600
         Width           =   1095
      End
      Begin VB.Label zLabel03 
         BackStyle       =   0  'Transparent
         Caption         =   "V. Medio"
         Height          =   255
         Left            =   1560
         TabIndex        =   10
         Top             =   360
         Width           =   855
      End
      Begin VB.Label lblVMedio 
         BorderStyle     =   1  'Fixed Single
         Height          =   285
         Left            =   1560
         TabIndex        =   9
         Top             =   600
         Width           =   1095
      End
      Begin VB.Label zLabel01 
         BackStyle       =   0  'Transparent
         Caption         =   "V. Min."
         Height          =   255
         Left            =   180
         TabIndex        =   8
         Top             =   360
         Width           =   855
      End
      Begin VB.Label lblVMin 
         BorderStyle     =   1  'Fixed Single
         Height          =   285
         Left            =   180
         TabIndex        =   7
         Top             =   600
         Width           =   1095
      End
   End
   Begin VB.CommandButton cmdChiudi 
      Caption         =   "&Chiudi"
      Height          =   315
      Left            =   3240
      TabIndex        =   5
      Top             =   2280
      Width           =   1095
   End
   Begin VB.CommandButton cmdCalcola 
      Caption         =   "Calcola"
      Default         =   -1  'True
      Height          =   315
      Left            =   3240
      TabIndex        =   4
      Top             =   1680
      Width           =   1095
   End
End
Attribute VB_Name = "frmPeriodo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'=====================================================================
' Descrizione.....: Form per il calcolo del periodo e del Duty Cycle
'                   dei segnali.
'                   Serve per la valutazione del rumore di fase, sul
'                   periodo e sul duty cycle, di un segnale periodico.
' Nome dei Files..: frmPeriodo.frm, frmPeriodo.frx
' Data............: 05/09/2001
' Versione........: 1.0 a 32 bits.
' Sistema.........: Visual Basic 6.0 sotto Windows NT 4.0
' Scritto da......: F. Languasco 
' E-Mail..........: MC7061@mclink.it
' DownLoads a.....: http://www.flanguasco.org
'                   http://members.xoom.it/flanguasco/
'=====================================================================
'
Option Explicit
'
Dim ST#()   ' Vettore temporaneo del Segnale.
Dim SR#()   ' Vettore del periodo del Segnale.
'
Dim VMin#, VMax#, VMedio#   ' Parametri del segnale.
'
Dim fPeriodo As Boolean     ' Flag di calcolo del periodo.
Dim PeriodoOK As Boolean    ' Flag di calcolo avvenuto.
'
Const Me_W& = 4635  ' Larghezza ed
Const Me_H& = 3540  ' altezza di questo Form [Twips].

Public Function Apri(S#(), ByRef sOp$) As Boolean
'
'
    ST() = S()
'
    Stat_V ST(), VMin, VMax, VMedio
    lblVMin = FormatE$(VMin, "#0.000E-00")
    lblVMedio = FormatE$(VMedio, "#0.000E-00")
    lblVMax = FormatE$(VMax, "#0.000E-00")
    txtVSoglia = VMedio
    frmSigPro.linVSoglia.Visible = True
'
    PeriodoOK = False
    Me.Show vbModal
'
    Apri = PeriodoOK
    If PeriodoOK Then
        S() = SR()
        sOp$ = IIf(fPeriodo, "Periodo", "DutyCycle")    ' Operazione eseguita.
    End If
'
    Set frmPeriodo = Nothing
'
'
'
End Function

Private Sub cmdCalcola_Click()
'
'
    Dim I&, J&, NPer&
    Dim VSig#, VSig_O#, VTrs#
    Dim Tp!, TpD_O!, TpL!, Periodo!
'
    VTrs = Val(ValC2D(txtVSoglia.Text))  ' Valore di soglia.
    If (VTrs <= VMin) Or (VMax <= VTrs) Then
        MsgBox "Il valore di soglia non e' valido." & vbNewLine _
               & "Deve essere: VMin < VSoglia < VMax", _
               vbExclamation, " cmdCalcola"
        Exit Sub
    End If
'
    Tp = 0!
    TpD_O = 0!
    VSig = ST(0)
    VSig_O = VSig
'
    For I = 1 To UBound(ST)
        VSig = ST(I)
        ' Fronte di discesa:
        If (VSig <= VTrs) And (VTrs < VSig_O) Then
            If NPer > 1 Then
                Periodo = (Tp - TpD_O)  ' [s].
                ReDim Preserve SR(0 To J)
                If fPeriodo Then
                    SR(J) = Periodo
                Else
                    SR(J) = TpL / Periodo
                End If
                J = J + 1
            End If
            TpD_O = Tp
            NPer = NPer + 1
        End If
'
        ' Fronte di salita:
        If (VSig_O < VTrs) And (VTrs <= VSig) Then
            TpL = (Tp - TpD_O)  ' Tempo del segnale sotto la soglia [s].
        End If
'
        VSig_O = VSig
        Tp = Tp + TS
    Next I
'
    PeriodoOK = True
    Unload Me
'
'
'
End Sub


Private Sub cmdChiudi_Click()
'
'
    Unload Me
'
'
'
End Sub

Private Sub Form_Load()
'
'
    Dim Me_L&, Me_T&
'
    LeggiPosizioneForm Me, Me_L, Me_T
    Me.Move Me_L, Me_T, Me_W, Me_H
'
    fPeriodo = True
    optPeriodo = True
'
'
'
End Sub
Private Sub Form_Unload(Cancel As Integer)
'
'
    frmSigPro.linVSoglia.Visible = False
    SalvaPosizioneForm Me
'
'
'
End Sub


Private Sub optDutyCycle_Click()
'
'
    fPeriodo = False
'
'
'
End Sub

Private Sub optPeriodo_Click()
'
'
    fPeriodo = True
'
'
'
End Sub


Private Sub txtVSoglia_Change()
'
'
    frmSigPro.linVSoglia.Y1 = Val(ValC2D(txtVSoglia.Text))
    frmSigPro.linVSoglia.Y2 = Val(ValC2D(txtVSoglia.Text))
'
'
'
End Sub

Private Sub txtVSoglia_KeyPress(KeyAscii As Integer)
'
'
    KeyAscii = KAscNumReali(KeyAscii, True)
'
'
'
End Sub


