VERSION 5.00
Begin VB.Form frmRicampionamento 
   BorderStyle     =   1  'Fixed Single
   Caption         =   " Ricampionamento del Segnale"
   ClientHeight    =   3240
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3300
   Icon            =   "frmRicampionamento.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3240
   ScaleWidth      =   3300
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame zFrame1 
      Caption         =   "Interpolazione:"
      Height          =   795
      Left            =   300
      TabIndex        =   10
      Top             =   1680
      Width           =   2655
      Begin VB.OptionButton optCubica 
         Caption         =   "Cubica"
         Height          =   255
         Left            =   1560
         TabIndex        =   12
         Top             =   360
         Value           =   -1  'True
         Width           =   855
      End
      Begin VB.OptionButton optLin 
         Caption         =   "Lineare"
         Height          =   255
         Left            =   240
         TabIndex        =   11
         Top             =   360
         Width           =   975
      End
   End
   Begin VB.CommandButton cmdChiudi 
      Caption         =   "&Chiudi"
      Height          =   315
      Left            =   1800
      TabIndex        =   5
      Top             =   2640
      Width           =   1155
   End
   Begin VB.CommandButton cmdRicampiona 
      Caption         =   "Ricampiona"
      Default         =   -1  'True
      Height          =   315
      Left            =   300
      TabIndex        =   4
      Top             =   2640
      Width           =   1155
   End
   Begin VB.TextBox txtNsOriginali 
      Height          =   285
      Left            =   1800
      TabIndex        =   3
      Top             =   420
      Width           =   1155
   End
   Begin VB.TextBox txtTsNuovo 
      Height          =   285
      Left            =   300
      TabIndex        =   1
      Top             =   1200
      Width           =   1155
   End
   Begin VB.TextBox txtTsOriginale 
      Height          =   285
      Left            =   300
      TabIndex        =   0
      Top             =   420
      Width           =   1155
   End
   Begin VB.Label zLabel04 
      BackStyle       =   0  'Transparent
      Caption         =   "Ns ricampionati:"
      Height          =   255
      Left            =   1800
      TabIndex        =   9
      Top             =   960
      Width           =   1155
   End
   Begin VB.Label zLabel03 
      BackStyle       =   0  'Transparent
      Caption         =   "Ns originali:"
      Height          =   255
      Left            =   1800
      TabIndex        =   8
      Top             =   180
      Width           =   1155
   End
   Begin VB.Label lblNsRicampionati 
      BorderStyle     =   1  'Fixed Single
      Height          =   285
      Left            =   1800
      TabIndex        =   7
      Top             =   1200
      Width           =   1155
   End
   Begin VB.Label zLabel02 
      BackStyle       =   0  'Transparent
      Caption         =   "Nuovo Ts [Ua]:"
      Height          =   255
      Left            =   300
      TabIndex        =   6
      Top             =   960
      Width           =   1275
   End
   Begin VB.Label zLabel01 
      BackStyle       =   0  'Transparent
      Caption         =   "Ts originale [Ua]:"
      Height          =   255
      Left            =   300
      TabIndex        =   2
      Top             =   180
      Width           =   1275
   End
End
Attribute VB_Name = "frmRicampionamento"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'=================================================================
' Descrizione.....: Form per il ricampionamento dei segnali.
'                   Serve per poter correlare fra di loro
'                   segnali campionati a frequenze diverse.
' Nome dei Files..: frmRicampionamento.frm, frmRicampionamento.frx
' Data............: 25/04/2001
' Versione........: 1.0 a 32 bits.
' Sistema.........: Visual Basic 6.0 sotto Windows NT 4.0
' Scritto da......: F. Languasco 
' E-Mail..........: MC7061@mclink.it
' DownLoads a.....: http://www.flanguasco.org
'                   http://members.xoom.it/flanguasco/
'=================================================================
'
Option Explicit
'
Dim TsO#    ' Tempo di campionamento originale [Ua: unita' arbitrarie].
Dim TsR#    ' Tempo di ricampionamento [Ua].
'
Dim ST#()   ' Vettore temporaneo del Segnale.
Dim SR#()   ' Vettore del Segnale ricampionato.
'
Dim LSig_O& ' N di campioni nel Segnale originale.
Dim LSig_S& ' N di campioni del Segnale originale selezionati per il ricampionamento.
Dim LSig_R& ' N di campioni nel Segnale ricampionato.
'
Dim RicampionamentoOK As Boolean
Private Sub cmdChiudi_Click()
'
'
    Unload Me
'
'
'
End Sub

Private Sub cmdRicampiona_Click()
'
'
    If VerificaValori Then
        If optLin Then
            RicampionamentoLin
        ElseIf optCubica Then
            RicampionamentoCub
        End If
'
        RicampionamentoOK = True
        Unload Me
    End If
'
'
'
End Sub

Private Sub Form_Load()
'
'
    Dim Me_L&, Me_T&
'
    LeggiPosizioneForm Me, Me_L, Me_T
    Me.Move Me_L, Me_T
'
'
'
End Sub

Private Sub Form_Unload(Cancel As Integer)
'
'
    SalvaPosizioneForm Me
'
'
'
End Sub


Private Sub txtNsOriginali_Change()
'
'
    LSig_S = Val(txtNsOriginali)
    txtTsNuovo_Change
'
'
'
End Sub

Private Sub txtNsOriginali_KeyPress(KeyAscii As Integer)
'
'
    KeyAscii = KAscNumInteri(KeyAscii)
'
'
'
End Sub


Private Sub txtTsNuovo_Change()
'
'
    Dim dLS_R#
'
    TsR = Val(ValC2D(txtTsNuovo.Text))
'
    If TsR > 0 Then
        dLS_R = 1# + CDbl(LSig_S - 1) * TsO / TsR
        LSig_R = Int(dLS_R)
        lblNsRicampionati = LSig_R
    Else
        lblNsRicampionati = "N.A."
    End If
'
'
'
End Sub
Private Sub Find_CCof(Ps#(), ByVal NPI&, cof#())
'
'   Find the coefficients of the cubic spline
'   using constant interval parameterization:
'
    Dim I&, H#
'
    ReDim S#(1 To NPI), F#(1 To NPI), cof#(1 To 4, 1 To NPI)
    ReDim A#(1 To NPI), B#(1 To NPI), C#(1 To NPI)
'
    H = 1# / CDbl(NPI - 1)
    For I = 1 To NPI - 2
        A(I) = 1#
        B(I) = 4#
        C(I) = 1#
    Next I
'
    For I = 1 To NPI - 2
        F(I) = 6# * (Ps(I + 1) - 2# * Ps(I) + Ps(I - 1)) / H / H
    Next I
'
    Call TRIDAG(A(), B(), C(), F(), S(), NPI - 2)
    For I = 1 To NPI - 2
        S(NPI - I) = S(NPI - 1 - I)
    Next I
'
    S(1) = 0#
    S(NPI) = 0#
    For I = 1 To NPI - 1
        cof(4, I) = (S(I + 1) - S(I)) / 6# / H
        cof(3, I) = S(I) / 2#
        cof(2, I) = (Ps(I) - Ps(I - 1)) / H - (2# * S(I) + S(I + 1)) * H / 6#
        cof(1, I) = Ps(I - 1)
    Next I
'
'
'
End Sub
Private Sub TRIDAG(A#(), B#(), C#(), F#(), S#(), ByVal NPI_2&)
'
'   Solves the tridiagonal linear system of equations:
'
    Dim J&, bet#
    ReDim gam#(1 To NPI_2)
'
    If B(1) = 0 Then Exit Sub
'
    bet = B(1)
    S(1) = F(1) / bet
    For J = 2 To NPI_2
        gam(J) = C(J - 1) / bet
        bet = B(J) - A(J) * gam(J)
        If (bet = 0) Then Exit Sub
        S(J) = (F(J) - A(J) * S(J - 1)) / bet
    Next J
'
    For J = NPI_2 - 1 To 1 Step -1
        S(J) = S(J) - gam(J + 1) * S(J + 1)
    Next J
'
'
'
End Sub
Private Sub C_Spline(Ps#(), Pc#(), Optional ByVal ku# = 1#)
'
'   Ritorna, nel vettore Pc(), i valori della curva C-Spline.
'   La curva e' calcolata in modo parametrico (0 <= u <= ku)
'   con il valore 0 di u corrispondente a Ps(0) ed il valore
'   1 corrispondente a Ps(NPS_1).
'
'   Parametri:
'       Ps(0 to NPI - 1):   Vettore dei punti, dati, da
'                           interpolare.
'       Pc(0 to NPC - 1):   Vettore dei punti, calcolati,
'                           della curva interpolante.
'
    Dim NPS_1&, NPC_1&, I&, J&
    Dim u#, Ui#, uui#, cof#()
'
    NPS_1 = UBound(Ps)      ' N. di punti da interpolare - 1.
    NPC_1 = UBound(Pc)      ' N. di punti sulla curva - 1.
'
    Call Find_CCof(Ps(), NPS_1 + 1, cof())
'
    ' La curva inizia sempre da Ps(0) -> u = 0:
    Pc(0) = Ps(0)
'
    For I = 1 To NPC_1
        u = ku * CDbl(I) / CDbl(NPC_1)
        J = Int(u * CDbl(NPS_1)) + 1
        If (J > (NPS_1)) Then J = NPS_1
'
        Ui = CDbl(J - 1) / CDbl(NPS_1)
        uui = u - Ui
'
        Pc(I) = cof(4, J) * uui ^ 3 + cof(3, J) * uui ^ 2 + cof(2, J) * uui + cof(1, J)
    Next I
'
'
'
End Sub

Private Sub txtTsNuovo_KeyPress(KeyAscii As Integer)
'
'
    KeyAscii = KAscNumReali(KeyAscii)
'
'
'
End Sub


Private Sub txtTsOriginale_Change()
'
'
    TsO = Val(ValC2D(txtTsOriginale.Text))
    txtTsNuovo_Change
'
'
'
End Sub

Private Sub txtTsOriginale_KeyPress(KeyAscii As Integer)
'
'
    KeyAscii = KAscNumReali(KeyAscii)
'
'
'
End Sub



Public Function Apri(S#()) As Boolean
'
'
    ST() = S()
    LSig_O = UBound(S) + 1
'
    txtTsNuovo = TS
    txtTsOriginale = TS
    txtNsOriginali = LSig_O
'
    RicampionamentoOK = False
    Me.Show vbModal
'
    Apri = RicampionamentoOK
    If RicampionamentoOK Then
        S() = SR()
        TS = TsR
        FS = 1# / TS
    End If
'
    Set frmRicampionamento = Nothing
'
'
'
End Function

Private Sub RicampionamentoLin()
'
'
    Dim N1O&, N2O&, NsR&, tN1O#, tNsR#
'
    ReDim SR(0 To LSig_R - 1)
    'ReDim SR(0 To LSig_R)
'
    For NsR = 0 To LSig_R - 1
    'For NsR = 0 To LSig_R
        tNsR = CDbl(NsR) * TsR
        N1O = CLng(Int(tNsR / TsO))
        tN1O = CDbl(N1O) * TsO
        N2O = CLng(Ceil(tNsR / TsO))
'
        SR(NsR) = ((tNsR - tN1O) * (ST(N2O) - ST(N1O)) / TsO) + ST(N1O)
    Next NsR
'
'
'
End Sub

Private Function VerificaValori() As Boolean
'
'   Verifica che i parametri forniti siano compatibili
'   con le funzioni richieste:
'
    Dim M$
'
    On Error Resume Next
'
    ' N di campioni da ricampionare:
    If CLng(txtNsOriginali) = 0 Or CLng(txtNsOriginali) > LSig_O Then
        M$ = "Ns originali errati." & vbNewLine & vbNewLine
        M$ = M$ & "Deve essere:" & vbNewLine
        M$ = M$ & "  0 < Ns originali <= " & LSig_O & vbNewLine & vbNewLine
    End If
'
    ' Tempi di campionamento:
    If TsR = 0 Or TsO = 0 Then
        M$ = M$ & "Tempi di campionamento errati." & vbNewLine
        M$ = M$ & "Deve essere:" & vbNewLine
        M$ = M$ & "  Ts originale > 0, Ts nuovo > 0" & vbNewLine & vbNewLine
    ElseIf TsR > TsO Then
        M$ = M$ & "Ts nuovo errato." & vbNewLine
        M$ = M$ & "Deve essere:" & vbNewLine
        M$ = M$ & "  Ts nuovo <= Ts originale." & vbNewLine
    End If
'
'
    If M$ <> "" Then MsgBox M$, vbCritical, " Errore nei parametri"
    VerificaValori = (M$ = "")
'
'
'
End Function



Private Sub RicampionamentoCub()
'
'
    Dim I&, ku#
'
    ReDim SR(0 To LSig_R - 1)
'
    ' Calcola il limite della C-Spline:
    ku = TsR * CDbl(LSig_R - 1) / (TsO * CDbl(LSig_S - 1))
'
    C_Spline ST(), SR(), ku
'
'
'
End Sub
