VERSION 5.00
Begin VB.Form frmSimplexOp 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   " Operazioni e stato di Simplex"
   ClientHeight    =   4170
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3495
   Icon            =   "frmSimplexOp.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4170
   ScaleWidth      =   3495
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton cmdStop 
      Caption         =   "&Stop"
      Height          =   255
      Left            =   2400
      TabIndex        =   1
      Top             =   3720
      Width           =   855
   End
   Begin VB.CommandButton cmdRinnova 
      Caption         =   "&Rinnova i Parametri"
      Height          =   255
      Left            =   240
      TabIndex        =   0
      Top             =   3720
      Width           =   1815
   End
   Begin VB.Frame zFrame1 
      Caption         =   "Vertici:"
      Height          =   2415
      Left            =   240
      TabIndex        =   11
      Top             =   1080
      Width           =   3015
      Begin VB.Label zLabel9 
         BackStyle       =   0  'Transparent
         Caption         =   "Valore"
         Height          =   255
         Left            =   2280
         TabIndex        =   18
         Top             =   1350
         Width           =   615
      End
      Begin VB.Label lblValWV 
         BorderStyle     =   1  'Fixed Single
         Height          =   255
         Left            =   1200
         TabIndex        =   7
         Top             =   1320
         Width           =   975
      End
      Begin VB.Label zLabel8 
         BackStyle       =   0  'Transparent
         Caption         =   "N."
         Height          =   255
         Left            =   840
         TabIndex        =   17
         Top             =   1350
         Width           =   255
      End
      Begin VB.Label zLabel7 
         BackStyle       =   0  'Transparent
         Caption         =   "Valore"
         Height          =   255
         Left            =   2280
         TabIndex        =   16
         Top             =   630
         Width           =   615
      End
      Begin VB.Label lblValBV 
         BorderStyle     =   1  'Fixed Single
         Height          =   255
         Left            =   1200
         TabIndex        =   5
         Top             =   600
         Width           =   975
      End
      Begin VB.Label zLabel6 
         BackStyle       =   0  'Transparent
         Caption         =   "N."
         Height          =   255
         Left            =   840
         TabIndex        =   15
         Top             =   630
         Width           =   255
      End
      Begin VB.Label lblValDf 
         BorderStyle     =   1  'Fixed Single
         Height          =   255
         Left            =   1200
         TabIndex        =   8
         Top             =   1920
         Width           =   975
      End
      Begin VB.Label lblIBestV 
         BorderStyle     =   1  'Fixed Single
         Height          =   255
         Left            =   120
         TabIndex        =   4
         Top             =   600
         Width           =   615
      End
      Begin VB.Label lblIWorstV 
         BorderStyle     =   1  'Fixed Single
         Height          =   255
         Left            =   120
         TabIndex        =   6
         Top             =   1320
         Width           =   615
      End
      Begin VB.Label zLabel3 
         BackStyle       =   0  'Transparent
         Caption         =   "Diff. Val."
         Height          =   255
         Left            =   2280
         TabIndex        =   14
         Top             =   1950
         Width           =   735
      End
      Begin VB.Label zLabel4 
         BackStyle       =   0  'Transparent
         Caption         =   "Vertice Migliore"
         Height          =   255
         Left            =   120
         TabIndex        =   13
         Top             =   360
         Width           =   1215
      End
      Begin VB.Label zLabel5 
         BackStyle       =   0  'Transparent
         Caption         =   "Vertice Peggiore"
         Height          =   255
         Left            =   120
         TabIndex        =   12
         Top             =   1080
         Width           =   1335
      End
   End
   Begin VB.Label zLabel2 
      BackStyle       =   0  'Transparent
      Caption         =   "Operazione"
      Height          =   255
      Left            =   2400
      TabIndex        =   10
      Top             =   600
      Width           =   855
   End
   Begin VB.Label zLabel1 
      BackStyle       =   0  'Transparent
      Caption         =   "N. Ciclo"
      Height          =   255
      Left            =   1440
      TabIndex        =   9
      Top             =   240
      Width           =   975
   End
   Begin VB.Label lblNCiclo 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   240
      TabIndex        =   2
      Top             =   240
      Width           =   1095
   End
   Begin VB.Label lblOpS 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   240
      TabIndex        =   3
      Top             =   600
      Width           =   2055
   End
End
Attribute VB_Name = "frmSimplexOp"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'========================================================
' Descrizione.....: Form frmSimplexOp
' Nome dei Files..: modSimplex.bas, frmSimplexOp.frm
' Data............: 28/07/1999
' Versione........: 1.0 a 32 bits.
' Sistema.........: Visual Basic 6.0 sotto Windows NT 4.0
' Scritto da......: F. Languasco 
' E-Mail..........: MC7061@mclink.it
' DownLoads a.....: http://www.flanguasco.org
'                   http://members.xoom.it/flanguasco/
'========================================================
'
'   Form per la rappresentazione ed il controllo dello
'   stato di ricerca della subroutine SIMPLEX.
'
'   Contiene due Command Buttons:
'   - cmdRinnova "Rinnova i Parametri" per la reimpostazione
'     della ricerca a richiesta dell' osservatore.
'   - cmdStop "Stop" per fermare la ricerca a richiesta dell' os-
'     servatore.
'     L' azione dei Command Buttons attribuisce il valore True
'     rispettivamente alle variabili FRinnova e FStop ritornate
'     dalla routine frmSimplexOp.SimplexOP.
'
'   La gestione delle richieste e l' aggiornamento delle caselle
'   dati, devono essere implementate nel codice che utilizza SIMPLEX.
'   Per l' aggiornamento si puo' usare il metodo:
'     frmSimplexOp.SimplexOP IBestV&, IWorstV&, _
'                            ValBV#, ValWV#, ValDf#, NCiclo&, OpS$, _
'                            FRinnova_U As Boolean, FStop_U As Boolean
'
Option Explicit
'
Private FRinnova As Boolean
Private FStop As Boolean
'
Private Declare Function SetWindowPos Lib "USER32" (ByVal hWnd As Long, _
    ByVal hWndInsertAfter As Long, ByVal X As Long, ByVal Y As Long, _
    ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
'
Private Const HWND_TOPMOST& = -1
Private Const SWP_NOSIZE& = &H1
Private Const SWP_SHOWWINDOW& = &H40
Public Sub SimplexOP(ByVal IBestV&, ByVal IWorstV&, _
    ByVal ValBV#, ByVal ValWV#, ByVal ValDf#, _
    ByVal NCiclo&, ByVal OpS$, _
    ByRef FRinnova_U As Boolean, ByRef FStop_U As Boolean)
'
'
    lblNCiclo = Str$(NCiclo)
    lblOpS = OpS$
    lblIBestV = Str$(IBestV)
    lblIWorstV = Str$(IWorstV)
    lblValBV = Format$(ValBV, "0.000E+00")
    lblValWV = Format$(ValWV, "0.000E+00")
    lblValDf = Format$(ValDf, "0.000E+00")
'
    DoEvents
    FRinnova_U = FRinnova
    FRinnova = False
    FStop_U = FStop
'
'
'
End Sub

Private Sub cmdRinnova_Click()
'
'
    FRinnova = True
'
'
'
End Sub

Private Sub cmdStop_Click()
'
'
    FStop = True
'
'
'
End Sub

Private Sub Form_Load()
'
'
    Dim R1&, Me_L&, Me_T&
'
    ' Posizionamento letto dal Registry:
    LeggiPosizioneForm Me, Me_L, Me_T
'
    ' Posizionamento in alto a sinistra dello schermo:
    'Me_L = 0
    'Me_T = 0
'
    ' Posizionamento in centro allo schermo:
    'Me_L = Me.ScaleX((Screen.Width - Me.Width) / 2, vbTwips, vbPixels)
    'Me_T = Me.ScaleY((Screen.Height - Me.Height) / 2, vbTwips, vbPixels)
'
    ' Posizionamento in alto a destra del Form frmFIR:
    'Me_L = Me.ScaleX(frmFIR.Left + frmFIR.Width - Me.Width, vbTwips, vbPixels)
    'Me_T = Me.ScaleY(frmFIR.Top, vbTwips, vbPixels)
'
    R1 = SetWindowPos(Me.hWnd, HWND_TOPMOST, _
                      Me_L / Screen.TwipsPerPixelX, Me_T / Screen.TwipsPerPixelY, _
                      0, 0, SWP_SHOWWINDOW + SWP_NOSIZE)
'
    FRinnova = False
    FStop = False
'
'
'
End Sub


Private Sub Form_Unload(Cancel As Integer)
'
'
    FStop = True
'
    SalvaPosizioneForm Me
'
'
'
End Sub


