VERSION 5.00
Begin VB.Form frmSpettroMobile 
   BorderStyle     =   1  'Fixed Single
   Caption         =   " Spettro mobile (sliding spectrum)"
   ClientHeight    =   1620
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3330
   Icon            =   "frmSpettroMobile.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1620
   ScaleWidth      =   3330
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdCalcola 
      Caption         =   "C&alcola"
      Default         =   -1  'True
      Height          =   315
      Left            =   180
      TabIndex        =   4
      Top             =   1020
      Width           =   1155
   End
   Begin VB.CommandButton cmdChiudi 
      Caption         =   "&Chiudi"
      Height          =   315
      Left            =   1680
      TabIndex        =   5
      Top             =   1020
      Width           =   1155
   End
   Begin VB.TextBox txtFSpettro 
      Height          =   285
      Left            =   1680
      TabIndex        =   3
      Top             =   480
      Width           =   1155
   End
   Begin VB.TextBox txtNsSpettro 
      Height          =   285
      Left            =   180
      TabIndex        =   1
      Top             =   480
      Width           =   1155
   End
   Begin VB.Label Label1 
      BackStyle       =   0  'Transparent
      Caption         =   "[f/fs]"
      Height          =   315
      Left            =   2880
      TabIndex        =   6
      Top             =   540
      Width           =   495
   End
   Begin VB.Label zLabel03 
      BackStyle       =   0  'Transparent
      Caption         =   "&Ns spettro:"
      Height          =   255
      Left            =   180
      TabIndex        =   0
      Top             =   240
      Width           =   1155
   End
   Begin VB.Label zLabel04 
      BackStyle       =   0  'Transparent
      Caption         =   "&Freq. spettro:"
      Height          =   255
      Left            =   1680
      TabIndex        =   2
      Top             =   240
      Width           =   1155
   End
End
Attribute VB_Name = "frmSpettroMobile"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'======================================================================
' Descrizione.....: Form per il calcolo dello Spettro Mobile del segnale.
' Nome dei Files..: frmMediaMobile.frm, frmMediaMobile.frx
'                   modSigPro.bas
' Data............: 07/04/2004
' Versione........: 1.0 a 32 bits.
' Sistema.........: Visual Basic 6.0 sotto Windows NT 4.0
' Scritto da......: F. Languasco 
' E-Mail..........: MC7061@mclink.it
' DownLoads a.....: http://www.flanguasco.org
'                   http://members.xoom.it/flanguasco/
'======================================================================
'
Option Explicit
'
Dim ST#()       ' Vettore temporaneo del Segnale.
Dim vSPM#()     ' Vettore dello spettro mobile.
'
Dim LSig_O&     ' N di campioni nel Segnale originale.
Dim NsSm&       ' N di campioni sui quali calcolare lo spettro mobile.
Dim Freq#       ' Frequenza alla quale calcolare lo spettro mobile [f/fs].
'
Dim SpettroMobileOK As Boolean
Private Function VerificaValori() As Boolean
'
'   Verifica che i parametri forniti siano compatibili
'   con le funzioni richieste:
'
    Dim M$
'
    On Error Resume Next
'
    ' N di campioni per Spettro Mobile:
    If CLng(txtNsSpettro) <= 4 Or LSig_O / 2 < CLng(txtNsSpettro) Then
        M$ = "Ns per Spettro Mobile errato." & vbNewLine & vbNewLine
        M$ = M$ & "Deve essere:" & vbNewLine
        M$ = M$ & "0 < Ns " & " <= " & LSig_O / 2
    End If
'
    ' Frequenza Spettro Mobile:
    If CDbl(txtFSpettro) <= 0 Or 0.5 <= CDbl(txtFSpettro) Then
        M$ = M$ & "Frequenza per Spettro Mobile errata." & vbNewLine & vbNewLine
        M$ = M$ & "Deve essere:" & vbNewLine
        M$ = M$ & "0 < Freq. " & " < " & "0.5"
    End If
'
'
    If M$ <> "" Then MsgBox M$, vbCritical, " Errore nei parametri"
    VerificaValori = (M$ = "")
'
'
'
End Function
Public Function Apri(S#(), vSPM_I#()) As Boolean
'
'
    ST() = S()
    LSig_O = UBound(ST)
'
    txtNsSpettro = Val(GetSetting(App.ProductName, "Impostazioni", "NsSpettroMobile", 64))
    txtNsSpettro = MIN0(Val(txtNsSpettro), LSig_O / 2)
    txtFSpettro = GetSetting(App.ProductName, "Impostazioni", "FSpettroMobile", 0.25)
'
    SpettroMobileOK = False
    Me.Show vbModal
'
    Apri = SpettroMobileOK
    If SpettroMobileOK Then
        vSPM_I() = vSPM()
    End If
'
    Set frmSpettroMobile = Nothing
'
'
'
End Function
Private Sub cmdCalcola_Click()
'
'
    Dim I&
'
    If VerificaValori Then
        NsSm = CLng(txtNsSpettro)
        Freq = CDbl(txtFSpettro)
'
        SPM_Init NsSm, Freq
        ReDim vSPM(0 To LSig_O)
'
        For I = 0 To LSig_O
            vSPM(I) = SPM_R(ST(I))
        Next I
'
        SpettroMobileOK = True
        Unload Me
    End If
'
'
'
End Sub
Private Sub cmdChiudi_Click()
'
'
    SpettroMobileOK = False
    Unload Me
'
'
'
End Sub
Private Sub Form_Load()
'
'
    Dim I&, Me_L&, Me_T&
'
    LeggiPosizioneForm Me, Me_L, Me_T
    Me.Move Me_L, Me_T
'
'
'
End Sub
Private Sub Form_Unload(Cancel As Integer)
'
'
    If SpettroMobileOK Then
        SaveSetting App.ProductName, "Impostazioni", "NsSpettroMobile", NsSm
        SaveSetting App.ProductName, "Impostazioni", "FSpettroMobile", Freq
    End If
'
    SalvaPosizioneForm Me
'
'
'
End Sub

